/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#include <avr/io.h>
#include "ser62500.h"

// send data (in network byte order) with 62500 baud in 9N2 protocol
void Ser62500Send9N2(unsigned char *pData, unsigned short Length)       // (extern)
{
  unsigned short i;
  for (i = 0; i + 1 < Length; i += 2)
    Ser62500Out9N2(pData[i] << 8 | pData[i + 1]);
}
